Subject: Re: H.320,H.323, and MBONE gateway.

From: Paradise Software <[email-masked]>
Date: Wed, 25 Feb 1998 10:18:12 -0500 (EST)

> From [email-masked] Tue Feb 24 21:01 EST 1998
> To: HERSENT Olivier CNET/DSE/CAE <[email-masked]>
> cc: Michael Benson <[email-masked]>,
>         Peter Hoermann <[email-masked]>,
>         "Michael K. Sewell" <[email-masked]>,
>         mbone <[email-masked]>
> Subject: Re: H.320,H.323, and MBONE gateway.
> Date: Wed, 25 Feb 1998 00:16:51 +0000
> From: Jon Crowcroft <[email-masked]>
> Sender: [email-masked]
> Content-Type: text
> Content-Length: 4376
> 
> 
> In message <[email-masked]>, HERSENT
>  Olivier CNET/DSE/CAE typed:
>  >>or rewrite it yourself. But you will need an ASN1 compiler... I've =
>  >>heard
> 
> you can buy an ASN 1 compiler from us :-)

It isn't necessary to buy an ASN compiler, we were able
to encode/decode all of our PDUs by hand...

> 
> SIP takes about 2 mm to implement...or you can have source code from
> several people for free....

We have been able to merge SAP/SDP into our H.323 system for inter-operability
betwen H.323 and the MBONE.  I supposed if we were to add functionality to
advertise each H.323 call as a MBONE session, we would have something like
a H.323 to MBONE bridge.  The main issue right now that I see is that I don't
know of any other H.323 systems using multicast....

I don't know enough about SIP to figure out how to use it in conjuction with
regular H.323 call setup...

> 
>  >>from some manufacturers that they evaluate the development work needed
>  >>to be around 4 man/year. Many companies have done it from the ITU
>  >>documents, so it is feasible, but I would recommend that you attend
>  >>those ITU or TIPHON meeting to get a chance to talk to the people who
>  >>actually made the standard. Another option is to wait for NT5, which
>  >>will probably have an H.323 stack.

We were able to get a working system in about 6 man-months. 

> 
> but it would be REALLY helpful, if someone published a pretty printer
> for the "packets on the wire"...i am fed up of trying to hack it from
> tcpdump+pepy....
>  

I sympathize.....

>  cheers
>    jon

john.